Chart items on the dashboard are no longer links

07/23/2018 12:52 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Dashboard   

Target version: 2.5.0   

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases: 1.18.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8210,

https://github.com/theforeman/foreman/p

ull/8460

  

Description

A long time ago the segments in the charts were clickable. For example in the Host Configuration Chart for Puppet you can have x%

in out of sync. That used to be clickable and take you to the search to show those hosts. The table with the same data still has

clickable links.

Related issues:

Related to Foreman - Bug #31526: WebUI spinner spins forever when clicking a ... Closed

Blocked by Foreman - Refactor #32009: Remove flot_pie_chart Closed

Associated revisions

Revision befa5578 - 04/21/2021 08:53 AM - Ondřej Ezr

Fixes #24351 - chart click through search

Fixes long lasting regression of charts on dashboard not being clickable through.

Adds posibility to specify custom filters for chart segments.

Moves click handler from DonutChartService to ChartService, as there is no reason for

this funcionality not to be added to more chart types in the future.

Revision 1982799b - 04/25/2021 11:03 AM - Ondřej Ezr

Refs #24351 - dashboard removals revert

Reverts accidental removal of method from befa557.

We are still using the old search_links method.

History

#1 - 12/18/2020 01:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8210 added

#2 - 12/18/2020 01:47 AM - Ondřej Ezr

- Related to Bug #31526: WebUI spinner spins forever when clicking a column within config report added

#3 - 03/03/2021 09:14 PM - Ondřej Ezr

- Blocked by Refactor #32009: Remove flot_pie_chart added

#4 - 04/11/2021 08:23 PM - Ondřej Ezr

- Target version set to 2.5.0

#5 - 04/21/2021 08:53 AM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#6 - 04/21/2021 09:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|befa557855dc1468323f6b46c0dc9302dd2b9f86.

#7 - 04/22/2021 10:58 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8460 added
